Bug 1713269 - Restore the original order of default taxonomies seed
Summary: Restore the original order of default taxonomies seed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Organizations and Locations
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.6.0
Assignee: Marek Hulan
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-23 09:51 UTC by Marek Hulan
Modified: 2019-10-22 19:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:48:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26859 None None None 2019-05-23 11:16:54 UTC

Description Marek Hulan 2019-05-23 09:51:05 UTC
For users who may have hardcoded default org id to 1 in their scripts, it could help if we keep the same order in newly installed instances as well. The change was probably unintentionally introduced by #24801

Comment 4 Bryan Kearney 2019-05-23 12:01:17 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 Bryan Kearney 2019-05-23 12:01:18 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 6 vijsingh 2019-05-28 06:47:28 UTC
@ON_QA Verified

@Satellite 6.6.0 snap 4.0

Steps:
 1. Installed Satellite with 'Satellite 6.6.0 snap 4.0'
 2. List org and loc :

~~~~~
hammer> organization list
---|----------------------|----------------------|-------------|---------------------
ID | TITLE                | NAME                 | DESCRIPTION | LABEL               
---|----------------------|----------------------|-------------|---------------------
1  | Default Organization | Default Organization |             | Default_Organization
---|----------------------|----------------------|-------------|---------------------
hammer> location list
---|------------------|------------------|------------
ID | TITLE            | NAME             | DESCRIPTION
---|------------------|------------------|------------
2  | Default Location | Default Location |            
---|------------------|------------------|------------
hammer> 
~~~~~

Observation:

  Default Organization ID = 1
  Default Location ID = 2

Comment 7 Bryan Kearney 2019-10-22 19:48:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.